/* 4. Schreiben Sie ein Programm, das für Computerspiele Name, Speicherbedarf
und Preis erfasst und dazu folgende Funktionen bereitstellt und testet:
eingeben - Daten erfassen( die Spiele und deren Anzahl liefern),
minimax - das Minimum und das Maximum fuer das uebergebene Feld liefern,
tabelle - alle Daten als Tabelle auflisten.
Die Minma und Maxima von Speicherplatz und Preis sind in Main anzuzeigen.
------------------------------------------------------------------------------*/
#include <stdlib.h>
#define nn 15
int eingeben( char name[][nn], float mb[], float preis[] )
{ int i, k;   printf("\n Anzahl der Spiele: "); scanf("%i", &k);
  printf("\n Name, Speicherplatz, Preis: \n");
  for( i=0; i<k; i++){ scanf("%s", &name[i]);   scanf("%f", &mb[i]);
                       scanf("%f", &preis[i]);     }   return k;
}
void tabelle( int anz, char name[][nn], float mb[], float preis[] )
{ int i;   printf("\n Nr.  Name, Speicherplatz, Preis: \n");
  for( i=0; i<anz; i++) printf(" %i    %s %8.1f %8.2f\n", i, name[i], mb[i],
                                                                      preis[i]);
}
void minimax( int anz, float * feld, float*mini, float * maxi)
{  int i;    *mini= *maxi= *feld;
   for( i=0; i<anz; i++)
   { if( *feld< *mini) *mini= *feld;
     if( *feld> *maxi) *maxi= *feld;  feld++;
}}
int main()
{ int n; char b[100][nn];  float m[100], p[100], min, max;
  n= eingeben( b, m, p);    tabelle( n, b, m, p);
  minimax( n, m, &min, &max);
  printf("\n Speicher: minimal %.1f, maximal %.1f\n", min, max);

  minimax( n, p, &min, &max);
  printf("\n Preis: minimal %.2f, maximal %.2f\n", min, max);

  printf("\n");  system("PAUSE");   return 0;
}
